Overview | Package | Class | Tree
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SQLite
Interface BusyHandler

public interface BusyHandler

Callback interface for SQLite's user defined busy handler.

Method Summary
`boolean` | `busy(String table, int count)` Invoked when a table is locked by another process or thread.

Method Detail

### busy

    public boolean busy(String table,
                        int count)

  Invoked when a table is locked by another process or thread. The method should return true for waiting until the table becomes unlocked, or false in order to abandon the action.

  Parameters:
    `table` - the name of the locked table
    `count` - number of times the table was locked

Overview | Package | Class | Tree
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Contact: Christian Werner